﻿//////////////////////////////////////////////
// OneChannelPack.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkAstraeus
#include "../../Dll/DllDefines.h"

// nkMemory
#include <NilkinsMemory/Containers/StringView.h>

/// Class ------------------------------------

namespace nkAstraeus
{
	enum class THREE_CHANNEL_PACK
	{
		RGB = 0,
		RGA,
		RBA,
		GBA,
		BGR,
		BGA,
		BRA
	} ;

	class DLL_ASTRAEUS_EXPORT ThreeChannelPackUtils
	{
		public :

			// Translation
			static nkMemory::StringView enumToStringLower (THREE_CHANNEL_PACK value) ;
			static THREE_CHANNEL_PACK stringLowerToEnum (const nkMemory::StringView& value) ;
	} ;
}