﻿//////////////////////////////////////////////
// MathConstantsWrapper.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkScripts
{
	class Environment ;
}

/// Includes ---------------------------------

// nkAstraeus
#include "../../../../Dll/DllDefines.h"

// nkScripts
#include <NilkinsScripts/Environments/Functions/Function.h>

/// Class ------------------------------------

namespace nkAstraeus::lua::nkMathsWrap
{
	class DLL_ASTRAEUS_EXPORT MathConstantsWrapper final
	{
		private :

			// Constructor, destructor
			MathConstantsWrapper () = delete ;
			~MathConstantsWrapper () = delete ;

		public :

			// Environment update
			static void updateEnvironment (nkScripts::Environment* env) ;
	} ;
}