﻿//////////////////////////////////////////////
// LogWrapper.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkScripts
{
	class Environment ;
}

/// Includes ---------------------------------

// nkAstraeus
#include "../../../../Dll/DllDefines.h"

// nkScripts
#include <NilkinsScripts/Environments/Functions/Function.h>

/// Class ------------------------------------

namespace nkAstraeus::lua::nkAstraeusWrap
{
	class DLL_ASTRAEUS_EXPORT LogWrapper final
	{
		private :

			// Constructeur, destructeur
			LogWrapper () = delete ;
			~LogWrapper () = delete ;

		public :

			// Environment update
			static void updateEnvironment (nkScripts::Environment* env) ;

			// Callbacks
			static nkScripts::OutputValue log (const nkScripts::DataStack& stack) ;
	} ;
}