﻿//////////////////////////////////////////////
// DecodedNodeData.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkGraphics
#include "../../Dll/DllDefines.h"

// nkMaths
#include <NilkinsMaths/Algebra/Matrix.h>

/// Class ------------------------------------

namespace nkGraphics
{
	struct DLL_GRAPHICS_EXPORT DecodedNodeData final
	{
		// Attributes
		nkMaths::Matrix _transformation ;

		// Hierarchy
		int _parentNode = -1 ;
	} ;
}